Bug 91531 - new port audio/libgpod to support newer versions of gtkpod
Summary: new port audio/libgpod to support newer versions of gtkpod
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-08 21:30 UTC by Devon Ryan
Modified: 2006-01-18 14:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Devon Ryan 2006-01-08 21:30:03 UTC
libgpod is "a library for directly accessing an iPod's contents" and is
needed for newer versions of gtkpod.

Fix: Makefile:

PORTNAME=       libgpod
PORTVERSION=    0.3.0
CATEGORIES=     audio
MASTER_SITES=   ${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=     gtkpod
CONFIGURE_ENV=  CPPFLAGS="-I${LOCALBASE}/include"

MAINTAINER=     dpryan@dpryan.com
COMMENT=        A library for directly accessing an iPod's contents

GNU_CONFIGURE=  yes
USE_GETTEXT=    yes

.include <bsd.port.mk>
-------------------------------------------
distinfo:

MD5 (libgpod-0.3.0.tar.gz) = bdb4f727f062f957dc227dae8348647c
SHA256 (libgpod-0.3.0.tar.gz) = 6e396346c63db8eac7d771a6b7ba684623b832024043e64f15939a8c99b6059a
SIZE (libgpod-0.3.0.tar.gz) = 455539
--------------------------------------------
files/patch-Makefile.in:



-pkgconfigdir = $(libdir)/pkgconfig
+pkgconfigdir = $(prefix)/libdata/pkgconfig
 pkgconfig_DATA = libgpod-1.0.pc

 # the bindings/ below are just a hack until a better way is found
--------------------------------------------
pkg-descr:

Libgpod is a shared library to access the contents of an iPod. This
library is based on code used in the gtkpod project. Starting with
V0.96.CVS gtkpod depends on this library.

This code was originally part of gtkpod itself. When the parsing code
was made self-contained with gtkpod V0.93, we chose to put this code
in a separate library so that other projects can benefit from it
without duplicating code.

libgpod supports playlists, smart playlists, playcounts, ratings and
podcasts,. Support for cover art and photos is currently being tested.

WWW: http://www.gtkpod.org/libgpod.html
-------------------------------------------
pkg-plist:

include/gpod-1.0/gpod/ipod-device.h
include/gpod-1.0/gpod/itdb.h
@dirrm include/gpod-1.0/gpod
@dirrm include/gpod-1.0
lib/libgpod.a
lib/libgpod.la
lib/libgpod.so
lib/libgpod.so.300
libdata/pkgconfig/libgpod-1.0.pc--RcT05AIhnFA2JjSpW2WyzyXavEQxbOPpTiDcOkFskoOQDugU
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.in.orig    Wed Jan  4 16:52:33 2006
+++ Makefile.in Wed Jan  4 16:52:54 2006
@@ -194,7 +194,7 @@
 target_alias = @target_alias@
 SUBDIRS = src tests po
Comment 1 Edwin Groothuis freebsd_committer 2006-01-08 21:34:46 UTC
State Changed
From-To: open->feedback

Please send it as a shar-archive as described on 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#PORTING-SUBMITTING
Comment 2 dpryan 2006-01-09 19:26:16 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       /usr/ports/audio/libgpod/
#       /usr/ports/audio/libgpod/pkg-descr
#       /usr/ports/audio/libgpod/Makefile
#       /usr/ports/audio/libgpod/distinfo
#       /usr/ports/audio/libgpod/files
#       /usr/ports/audio/libgpod/files/patch-Makefile.in
#       /usr/ports/audio/libgpod/pkg-plist
#
echo c - /usr/ports/audio/libgpod/
mkdir -p /usr/ports/audio/libgpod/ > /dev/null 2>&1
echo x - /usr/ports/audio/libgpod/pkg-descr
sed 's/^X//' >/usr/ports/audio/libgpod/pkg-descr << 'END-of-/usr/ports/audio/libgpod/pkg-descr'
XLibgpod is a shared library to access the contents of an iPod. This
Xlibrary is based on code used in the gtkpod project. Starting with
XV0.96.CVS gtkpod depends on this library.
X
XThis code was originally part of gtkpod itself. When the parsing code
Xwas made self-contained with gtkpod V0.93, we chose to put this code
Xin a separate library so that other projects can benefit from it
Xwithout duplicating code.
X
Xlibgpod supports playlists, smart playlists, playcounts, ratings and
Xpodcasts,. Support for cover art and photos is currently being tested.
X
XWWW: http://www.gtkpod.org/libgpod.html
END-of-/usr/ports/audio/libgpod/pkg-descr
echo x - /usr/ports/audio/libgpod/Makefile
sed 's/^X//' >/usr/ports/audio/libgpod/Makefile << 'END-of-/usr/ports/audio/libgpod/Makefile'
X# New ports collection makefile for:   libgpod
X# Date created:                Wed Jan 1 00:48:58 EST 2006
X# Whom:                        Devon Ryan <dpryan@dpryan.com>
X#
X#
X
XPORTNAME=      libgpod
XPORTVERSION=   0.3.0
XCATEGORIES=    audio
XMASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=    gtkpod
XCONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include"
X
XMAINTAINER=    dpryan@dpryan.com
XCOMMENT=       A library for directly accessing an iPod's contents
X
XGNU_CONFIGURE= yes
XUSE_GETTEXT=   yes
X
X.include <bsd.port.mk>
END-of-/usr/ports/audio/libgpod/Makefile
echo x - /usr/ports/audio/libgpod/distinfo
sed 's/^X//' >/usr/ports/audio/libgpod/distinfo << 'END-of-/usr/ports/audio/libgpod/distinfo'
XMD5 (libgpod-0.3.0.tar.gz) = bdb4f727f062f957dc227dae8348647c
XSHA256 (libgpod-0.3.0.tar.gz) = 6e396346c63db8eac7d771a6b7ba684623b832024043e64f15939a8c99b6059a
XSIZE (libgpod-0.3.0.tar.gz) = 455539
END-of-/usr/ports/audio/libgpod/distinfo
echo c - /usr/ports/audio/libgpod/files
mkdir -p /usr/ports/audio/libgpod/files > /dev/null 2>&1
echo x - /usr/ports/audio/libgpod/files/patch-Makefile.in
sed 's/^X//' >/usr/ports/audio/libgpod/files/patch-Makefile.in << 'END-of-/usr/ports/audio/libgpod/files/patch-Makefile.in'
X--- Makefile.in.orig   Wed Jan  4 16:52:33 2006
X+++ Makefile.in        Wed Jan  4 16:52:54 2006
X@@ -194,7 +194,7 @@
X target_alias = @target_alias@
X SUBDIRS = src tests po
X
X-pkgconfigdir = $(libdir)/pkgconfig
X+pkgconfigdir = $(prefix)/libdata/pkgconfig
X pkgconfig_DATA = libgpod-1.0.pc
X
X # the bindings/ below are just a hack until a better way is found
END-of-/usr/ports/audio/libgpod/files/patch-Makefile.in
echo x - /usr/ports/audio/libgpod/pkg-plist
sed 's/^X//' >/usr/ports/audio/libgpod/pkg-plist << 'END-of-/usr/ports/audio/libgpod/pkg-plist'
Xinclude/gpod-1.0/gpod/ipod-device.h
Xinclude/gpod-1.0/gpod/itdb.h
X@dirrm include/gpod-1.0/gpod
X@dirrm include/gpod-1.0
Xlib/libgpod.a
Xlib/libgpod.la
Xlib/libgpod.so
Xlib/libgpod.so.300
Xlibdata/pkgconfig/libgpod-1.0.pc
END-of-/usr/ports/audio/libgpod/pkg-plist
exit
Comment 3 Alexey Dokuchaev freebsd_committer 2006-01-11 13:01:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Take this, it's related to audio/gtkpod, which I maintain.
Comment 4 Alexey Dokuchaev freebsd_committer 2006-01-18 14:54:29 UTC
State Changed
From-To: feedback->closed

Committed with some modifications (actually, I've just merged my local 
changes, since I was working on similar port). 

I've set myself as maintainer, in hope that this will reduce the 
overhead of future port updates.  If you feel strongly about it, please 
tell me privately, and we'll settle things, no doubt.